Subject: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2019 18:00:55 +0300

> Date: Fri, 19 Jul 2019 16:52:00 +0200
> From: Robert Alessi <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On Fri, Jul 19, 2019 at 04:41:07PM +0200, Robert Pluim wrote:
> >     Eli> I don't see why this would be a problem.  We should provide the
> >     Eli> variant expected by modern Greek in the input methods which target
> >     Eli> modern Greek, and the variants for Classic Greek in input methods
> >     Eli> which target that.  Bonus points for providing at least some of the
> >     Eli> other variants in each type of the input methods.
> > 
> > That would be convenient, but should perhaps be a new, separate, input
> > method.
> 
> Hard to say.  I am thinking of some of my Greek colleagues who produce
> in modern Greek editions and/or commentaries on classic texts.  I am
> pretty sure that they use tonoi in every instance, but should they
> wish to keep the distinction between tonos and oxeia, what would be
> the more comfortable way to work with emacs?

They could switch between input methods back and forth.  Or we could
add support for the other variants to existing methods, to let users
use a single input method.